Bug 503931 - Missing Lchown depedent perl module
Missing Lchown depedent perl module
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rsnapshot (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Petersen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 08:39 EDT by Tim Coote
Modified: 2010-06-28 08:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Coote 2009-06-03 08:39:55 EDT
Description of problem:
rsnapshot uses the perl module Lchown, presumably to adjust the ownership of symbolic links if these have been backed up. However, Lchown's not in the Fedora packages. I'm running rsnapshot on f9 and f10, but have only spotted the problem on f9 - the f10 use is very limited.

Version-Release number of selected component (if applicable):
f9, rsnapshot-1.3.0-1.fc8.noarch (I'm pretty sure that this was a vanilla f9 install, so I'm guessing that's the f9 rpm.

How reproducible:
I've not managed to pin this down completely, but I get it everyday on my f9 box. Here's some extracts from /var/log/rsnapshot:
[31/May/2009:12:00:02] require Lchown
[31/May/2009:12:00:02] Lchown module not found
[31/May/2009:12:00:02] /usr/bin/rsnapshot hourly: started
[31/May/2009:12:00:02] Setting locale to POSIX "C"
[31/May/2009:12:00:02] echo 25222 > /var/run/rsnapshot.pid
:

I've found references to this issue on other linux distros with the usual recommendation that one downloads the module from CPAN. Either such an install should be part of the setup, or all relevant dependencies should be included in the distro/updates.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I've not had the time to work out the impact of this issue, nor to nail down where it's broken. If more info's needed, I'll dig it out.
Comment 1 Bug Zapper 2009-06-09 23:43:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:57:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Tim Coote 2010-04-01 12:12:13 EDT
(In reply to comment #2)
> Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
> no longer maintained, which means that it will not receive any further 
> security or bug fix updates. As a result we are closing this bug.
> 
> If you can reproduce this bug against a currently maintained version of 
> Fedora please feel free to reopen this bug against that version.
> 
> Thank you for reporting this bug and we are sorry it could not be fixed.    

now that I've upgraded one machine to Fedora 11, the same bug's there.

As far as I can tell (and I haven't reproduced the detail, the impact of this error is that symlinks will have the wrong owner in backups, which is a potential security hole, I think.

I'm assuming that I'm doing the right thing by changing the state to assigned, rather than raising a complete new bug and copying the information over.
Comment 4 Bug Zapper 2010-04-27 10:38:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:48:01 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.